Subject: [alpine-aports] [PATCH] main/jansson: upgrade to 2.9

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:20 -0400

---
 main/jansson/APKBUILD | 22 ++++++----------------
 1 file changed, 6 insertions(+), 16 deletions(-)

diff --git a/main/jansson/APKBUILD b/main/jansson/APKBUILD
index 40e5ee1..195abb4 100644
--- a/main/jansson/APKBUILD
+++ b/main/jansson/APKBUILD
@@ -1,6 +1,6 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=jansson
-pkgver=2.8
+pkgver=2.9
 pkgrel=0
 pkgdesc="lightweight JSON library"
 url="http://www.digip.org/jansson/"
@@ -8,18 +8,8 @@ arch="all"
 license="MIT"
 depends=""
 subpackages="$pkgname-dev"
-source="http://www.digip.org/jansson/releases/jansson-$pkgver.tar.bz2"
-
-builddir="$srcdir"/jansson-$pkgver
-prepare() {
-	local i
-	cd "$builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+source="http://www.digip.org/jansson/releases/$pkgname-$pkgver.tar.bz2"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
@@ -40,6 +30,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="592e29db0903d3031ea5a4e5a22fe75c  jansson-2.8.tar.bz2"
-sha256sums="cf4682f317e2cb3cd69090c8602771a93effd43ea5970cf1444f542af9c631c4  jansson-2.8.tar.bz2"
-sha512sums="85bf880b1db2443ebc1409d83d7386b2894882c7fc71ca1d1ef10b72b1913ad6f461c104960fa25c92cfe11afbf146f9fb516b250c6eba70ca74621bb8d7477d  jansson-2.8.tar.bz2"
+md5sums="4b9d8fe6690ae3f10a227165bc02b696  jansson-2.9.tar.bz2"
+sha256sums="77094fc1e113da0e2e65479488a0719f859b8f5bde3a6a0da88a1c73a88b5698  jansson-2.9.tar.bz2"
+sha512sums="ba6d00c8d6b109b825d003f9b75d9ec8e6bfb9cfc568062312df8710e8f9415893094dcea4bb82f9bca9566b9d226d165710d99a3fa445e18dd151c1edbd6ba5  jansson-2.9.tar.bz2"
-- 
2.10.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:21 -0400

---
 main/texinfo/APKBUILD | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/main/texinfo/APKBUILD b/main/texinfo/APKBUILD
index 860a808..e8471ba 100644
--- a/main/texinfo/APKBUILD
+++ b/main/texinfo/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=texinfo
-pkgver=6.1
-pkgrel=2
+pkgver=6.3
+pkgrel=0
 pkgdesc="Utilities to work with and produce manuals, ASCII text, and on-line documentation from a single source file"
 url="http://www.gnu.org/software/texinfo/"
 arch="all"
@@ -11,9 +11,9 @@ makedepends="ncurses-dev perl-dev"
 subpackages="$pkgname-doc"
 source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
 
-_builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -23,17 +23,17 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR=${pkgdir} install || return 1
+	cd "$builddir"
+	make DESTDIR="$pkgdir"/ install || return 1
 
-	rm -f ${pkgdir}/usr/share/info/dir
-	gzip ${pkgdir}/usr/share/info/*
+	rm -f "$pkgdir"/usr/share/info/dir
+	gzip "$pkgdir"/usr/share/info/*
 
 	rm -rf "$pkgdir"/usr/lib/charset.alias
 	rmdir -p "$pkgdir"/usr/lib 2>/dev/null
 	return 0
 }
 
-md5sums="1d7ec1888fae00730693597852b00cde  texinfo-6.1.tar.xz"
-sha256sums="ac68394ce21b2420ba7ed7cec65d84aacf308cc88e9bf4716fcfff88286883d2  texinfo-6.1.tar.xz"
-sha512sums="ae47295f3bcfb728c3be59421cf830ecfa5fc7856a086e45da2bac89600d883aa4406a6ef62d7ee5dc2bab83a3efa1cec861a3b4b14b85bbecb53ebf3ebf7235  texinfo-6.1.tar.xz"
+md5sums="32baefe5c7080dfb512a4eac5ce67b2a  texinfo-6.3.tar.xz"
+sha256sums="246cf3ffa54985118ec2eea2b8d0c71b92114efe6282c2ae90d65029db4cf93a  texinfo-6.3.tar.xz"
+sha512sums="ef6c5878d9db497d7963bd9138418b30c39a5605c215bf2f4e8f1f083d93c3c99f8c459aa675f7da3b78da6189cb6bbf3cf19a2ee1d52e569de2f6ce82762bf4  texinfo-6.3.tar.xz"
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:22 -0400

---
 testing/discount/APKBUILD | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/testing/discount/APKBUILD b/testing/discount/APKBUILD
index dd8b851..3691a7c 100644
--- a/testing/discount/APKBUILD
+++ b/testing/discount/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Daniel Sabogal <[email-masked]>
 # Maintainer:
 pkgname=discount
-pkgver=2.2.0
+pkgver=2.2.1
 pkgrel=0
 pkgdesc="A Markdown to HTML translator written in C"
 url="http://www.pell.portland.or.us/~orc/Code/discount/"
@@ -12,7 +12,7 @@ makedepends=""
 subpackages="$pkgname-dev $pkgname-doc"
 source="http://www.pell.portland.or.us/~orc/Code/discount/$pkgname-$pkgver.tar.bz2
 	configure.inc.patch"
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
@@ -30,9 +30,9 @@ package() {
 	make PREFIX=/usr DESTDIR="$pkgdir" install install.man || return 1
 }
 
-md5sums="fc784284fbdddfa10ed394210cc16f53  discount-2.2.0.tar.bz2
+md5sums="6b5ae87cca38240c50d5a1948eef81dd  discount-2.2.1.tar.bz2
 03b4ae14cfe1344eba577169516a35e1  configure.inc.patch"
-sha256sums="b25395c29c2c08836199eb2eae87b56e6b545e77f5fbf921678aa1dc0ddab9f3  discount-2.2.0.tar.bz2
+sha256sums="88458c7c2cfc870f8e6cf42b300408c112e05a45c88f8af35abb33de0e96fe0e  discount-2.2.1.tar.bz2
 7d524f06e6ede17657141b47a6da2bbc446101dc0bc9027e52e4b43820625427  configure.inc.patch"
-sha512sums="04b66496ca53a2ab73cba2a8f9d8e77efd13f318b188611aaaebc4fd036a02cd188aa712337df414ff3b7ac65d2ced17020085cae10338e8af47e5b9552d981a  discount-2.2.0.tar.bz2
+sha512sums="3005503628ca05096b471e76e9999e112a0727f1851b9896b173d24cddcb9e9326b533919d8edbee75e28f5a7e6c5cb6930718ff195b73805326bbf77c95c7ff  discount-2.2.1.tar.bz2
 d243f0b5e01cd91376fa94960e9abcdbf24d3579f7d4b5220262e867adefdc5e9ed850fe0228cc290ed605f4b42c50a5ce1ac3fb61ff191a24dc2349d16b2ff2  configure.inc.patch"
-- 
2.10.0

---

---

From: Daniel Sabogal <[email-masked]>
Date: Sat, 1 Oct 2016 20:38:23 -0400

---
 testing/global/APKBUILD | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/testing/global/APKBUILD b/testing/global/APKBUILD
index 0609ad0..ba56588 100644
--- a/testing/global/APKBUILD
+++ b/testing/global/APKBUILD
@@ -1,16 +1,14 @@
 # Contributor: Daniel Sabogal <[email-masked]>
 # Maintainer:
 pkgname=global
-pkgver=6.5.4
+pkgver=6.5.5
 pkgrel=0
 pkgdesc="A source code tag system"
 url="http://www.gnu.org/software/global"
 arch="all"
 license="GPL"
 depends=""
-depends_dev=""
 makedepends="libltdl perl"
-install=""
 subpackages="$pkgname-doc"
 source="https://ftp.gnu.org/gnu/global/$pkgname-$pkgver.tar.gz"
 
@@ -38,6 +36,6 @@ package() {
 	mv "$pkgdir"/usr/share/gtags/gtags-cscope.vim "$pkgdir"/usr/share/vim/vimfiles/plugin/gtags-cscope.vim
 }
 
-md5sums="a6693598b4cd0890c648aa2cbfa92fe7  global-6.5.4.tar.gz"
-sha256sums="af16e0a686a46f759156cb685e25f345680703f43f93af1ce8d834caaf541da6  global-6.5.4.tar.gz"
-sha512sums="fe574b4b5fc0a289e500baffc90f57845653e874ba0d3271c1a17a92c91ccbfd5526517eab08d7a79a147687190ce4ed0a3524acb2bdd88eedaeeaa3221c8c0f  global-6.5.4.tar.gz"
+md5sums="ee1c0ac678385fed77c90369a1ccfe65  global-6.5.5.tar.gz"
+sha256sums="bc5b42a2c58d1570ff6b6acf7479c3e1609fe0ec8b44e5baa5290dc47148cf7b  global-6.5.5.tar.gz"
+sha512sums="5f8d09710f534f0ebfcdabb85e3a094402a6ef56b800d94eb5ba546b3aa5cbdeb664fa37edcd46530b34a734fc05a1271e4abc8bb13e24db2c5cb2dbb46a4481  global-6.5.5.tar.gz"
-- 
2.10.0

---